Annuler un événement — avant le prononcé seulement.
POST
/tenants/{tenant}/evenements-instrument/{evenement}/annulation
const url = 'https://example.com/tenants/example/evenements-instrument/example/annulation';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/tenants/example/evenements-instrument/example/annulation \ --header 'Authorization: Bearer <token>'Autorisations
Section intitulée « Autorisations »Paramètres
Section intitulée « Paramètres »Paramètres (path)
Section intitulée « Paramètres (path) »tenant
required
string
Le teneur de compte — la muraille, aucun geste ne la franchit.
evenement
required
string
L’identifiant publié de l’événement chez ce tenant.
Réponses
Section intitulée « Réponses »L’événement est annulé, son fait retenu.
Aucune identité présentée.
L’identité présentée n’a pas la famille d’accès publication.
Le référentiel refuse (événement inconnu, ou déjà prononcé — l’annulation n’existe qu’avant le prononcé, après c’est un événement correctif) — motivé.
Media typeapplication/json
object
motif
required
Le motif, qui nomme le champ, l’identifiant ou l’invariant en cause.
string
Examplegenerated
{ "motif": "example"}